--- a/src/core-impl/meta/file/File_p.h
+++ b/src/core-impl/meta/file/File_p.h
@@ -158,7 +158,7 @@ namespace MetaFile
         void readMetaData()
         {
             QFileInfo fi( url.isLocalFile() ? url.toLocalFile() : url.path() );
-            m_data.created = fi.created().toSecsSinceEpoch();
+            m_data.created = fi.birthTime().toSecsSinceEpoch();
 
             Meta::FieldHash values = Meta::Tag::readTags( fi.absoluteFilePath() );
 
--- a/src/scripting/scriptengine/qtbindings/CoreFileInfo.cpp
+++ b/src/scripting/scriptengine/qtbindings/CoreFileInfo.cpp
@@ -101,9 +101,14 @@ QString FileInfo::completeSuffix() const
     return QFileInfo::completeSuffix();
 }
 
-QDateTime FileInfo::created() const
+QDateTime FileInfo::birthTime() const
 {
-    return QFileInfo::created();
+    return QFileInfo::birthTime();
+}
+
+QDateTime FileInfo::metadataChangeTime() const
+{
+    return QFileInfo::metadataChangeTime();
 }
 
 QDir FileInfo::dir() const
@@ -236,11 +241,6 @@ QFile::Permissions FileInfo::permissions
     return QFileInfo::permissions();
 }
 
-QString FileInfo::readLink() const
-{
-    return QFileInfo::readLink();
-}
-
 void FileInfo::refresh()
 {
     QFileInfo::refresh();
--- a/src/scripting/scriptengine/qtbindings/CoreFileInfo.h
+++ b/src/scripting/scriptengine/qtbindings/CoreFileInfo.h
@@ -52,7 +52,8 @@ namespace QtBindings
             QString canonicalPath() const;
             QString completeBaseName() const;
             QString completeSuffix() const;
-            QDateTime created() const;
+            QDateTime birthTime() const;
+            QDateTime metadataChangeTime() const;
             QDir dir() const;
             bool exists() const;
             QString fileName() const;
@@ -79,7 +80,6 @@ namespace QtBindings
             QString path() const;
             bool permission(QFile::Permissions permissions) const;
             QFile::Permissions permissions() const;
-            QString readLink() const;
             void refresh();
             void setCaching(bool on);
             void setFile(const QDir &dir, const QString &file);
--- a/tests/core-impl/meta/file/TestMetaFileTrack.cpp
+++ b/tests/core-impl/meta/file/TestMetaFileTrack.cpp
@@ -449,7 +449,7 @@ void TestMetaFileTrack::testType()
 void TestMetaFileTrack::testCreateDate()
 {
     QFileInfo fi( m_tmpFileName );
-    QDateTime created = fi.created();
+    QDateTime created = fi.birthTime();
     // m_track->createDate() is rounded to full second because it is created from full seconds
     // created therefore also needs to be rounded
     QCOMPARE( m_track->createDate().toSecsSinceEpoch(), created.toSecsSinceEpoch() );
